package com.yunyan.web.task;

import com.yunyan.business.service.IFinalDataUpdateDataService;
import com.yunyan.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时任务调度 文件生成任务
 *
 * @author yunyan
 */
@Component("fileTask")
public class FileTask
{

    @Autowired
    private IFinalDataUpdateDataService finalDataUpdateDataService;

    public void generateFile()
    {
        System.out.println("执行生成文件方法");
        finalDataUpdateDataService.generateAllFile();
    }
}
